| Modifier and Type | Interface and Description |
|---|---|
| public interface | EncodableDigest
Encodable digests allow you to download an encoded copy of their internal state. |
| Modifier and Type | Class and Description |
|---|---|
| pack-priv abstract class | |
| public class | AsconCXof128
Ascon-CXOF128 was introduced in NIST Special Publication (SP) 800-232 (Initial Public Draft). |
| public class | AsconDigest
Deprecated
use Ascon Hash 256 Digest
ASCON v1.2 Digest, https://ascon.iaik.tugraz.at/ .
|
| public class | AsconHash256
Ascon-Hash256 was introduced in NIST Special Publication (SP) 800-232 (Initial Public Draft). |
| public class | AsconXof
Deprecated
Now superseded - please use AsconXof128
ASCON v1.2 XOF, https://ascon.iaik.tugraz.at/ .
|
| public class | AsconXof128
Ascon-XOF128 was introduced in NIST Special Publication (SP) 800-232 (Initial Public Draft). |
| public class | Blake2bDigest
Implementation of the cryptographic hash function Blakbe2b. |
| public class | |
| public class | Blake2sDigest
Implementation of the cryptographic hash function BLAKE2s. |
| public class | |
| public class | Blake2xsDigest
Implementation of the eXtendable Output Function (XOF) BLAKE2xs. |
| public class | Blake3Digest
Blake3 implementation. |
| public class | CSHAKEDigest
Customizable SHAKE function. |
| public class | DSTU7564Digest
Reference implementation of national ukrainian standard of hashing transformation DSTU7564. |
| public abstract class | GeneralDigest
base implementation of MD4 family style digest as outlined in "Handbook of Applied Cryptography", pages 344 - 347. |
| public class | GOST3411_2012_256Digest
implementation of GOST R 34.11-2012 256-bit |
| public class | GOST3411_2012_512Digest
implementation of GOST R 34.11-2012 512-bit |
| public abstract class | GOST3411_2012Digest
Base class for GOST3411-2012 256-bit and GOST3411-2012 512-bit digests. |
| public class | GOST3411Digest
implementation of GOST R 34.11-94 |
| public class | Haraka256Digest
Haraka-256 v2, https://eprint.iacr.org/2016/098.pdf Haraka256-256 with reference to Python Reference Impl from: https://github.com/kste/haraka |
| public class | Haraka512Digest
Haraka-512 v2, https://eprint.iacr.org/2016/098.pdf Haraka512-256 with reference to Python Reference Impl from: https://github.com/kste/haraka |
| public abstract class | HarakaBase
Base class for Haraka v2, https://eprint.iacr.org/2016/098.pdf |
| public class | ISAPDigest
ISAP Hash v2, https://isap.iaik.tugraz.at/ https://csrc.nist.gov/CSRC/media/Projects/lightweight-cryptography/documents/finalist-round/updated-spec-doc/isap-spec-final.pdf ISAP Hash v2 with reference to C Reference Impl from: https://github.com/isap-lwc/isap-code-package |
| public class | Kangaroo
Kangaroo. |
| public class | KeccakDigest
implementation of Keccak based on following KeccakNISTInterface.c from https://keccak.noekeon.org/ Following the naming conventions used in the C source code to enable easy review of the implementation. |
| public abstract class | LongDigest
Base class for SHA-384 and SHA-512. |
| public class | MD2Digest
implementation of MD2 as outlined in RFC1319 by B.Kaliski from RSA Laboratories April 1992 |
| public class | MD4Digest
implementation of MD4 as RFC 1320 by R. Rivest, MIT Laboratory for Computer Science and RSA Data Security, Inc. Note This algorithm is only included for backwards compatability with legacy applications, it's not secure, don't use it for anything new! |
| public class | MD5Digest
implementation of MD5 as outlined in "Handbook of Applied Cryptography", pages 346 - 347. |
| public class | NonMemoableDigest
Wrapper removes exposure to the Memoable interface on an ExtendedDigest implementation. |
| public class | |
| public class | ParallelHash
ParallelHash - a hash designed to support the efficient hashing of very long strings, by taking advantage of the parallelism available in modern processors with an optional XOF mode. |
| public class | PhotonBeetleDigest
Photon-Beetle, https://www.isical.ac.in/~lightweight/beetle/ https://csrc.nist.gov/CSRC/media/Projects/lightweight-cryptography/documents/finalist-round/updated-spec-doc/photon-beetle-spec-final.pdf Photon-Beetle with reference to C Reference Impl from: https://github.com/PHOTON-Beetle/Software |
| public class | |
| public class | RIPEMD128Digest
implementation of RIPEMD128 |
| public class | RIPEMD160Digest
implementation of RIPEMD see, https://www.esat.kuleuven.ac.be/~bosselae/ripemd160.html |
| public class | RIPEMD256Digest
implementation of RIPEMD256. |
| public class | RIPEMD320Digest
implementation of RIPEMD 320. |
| public class | SHA1Digest
implementation of SHA-1 as outlined in "Handbook of Applied Cryptography", pages 346 - 349. |
| public class | SHA224Digest
SHA-224 as described in RFC 3874
block word digest
SHA-1 512 32 160
SHA-224 512 32 224
SHA-256 512 32 256
SHA-384 1024 64 384
SHA-512 1024 64 512
|
| public class | SHA256Digest
FIPS 180-2 implementation of SHA-256. |
| public class | SHA384Digest
FIPS 180-2 implementation of SHA-384. |
| public class | SHA3Digest
implementation of SHA-3 based on following KeccakNISTInterface.c from https://keccak.noekeon.org/ Following the naming conventions used in the C source code to enable easy review of the implementation. |
| public class | SHA512Digest
FIPS 180-2 implementation of SHA-512. |
| public class | SHA512tDigest
FIPS 180-4 implementation of SHA-512/t |
| public class | SHAKEDigest
implementation of SHAKE based on following KeccakNISTInterface.c from https://keccak.noekeon.org/ Following the naming conventions used in the C source code to enable easy review of the implementation. |
| public class | ShortenedDigest
Wrapper class that reduces the output length of a particular digest to only the first n bytes of the digest function. |
| public class | SkeinDigest
Implementation of the Skein parameterised hash function in 256, 512 and 1024 bit block sizes,
based on the |
| public class | SkeinEngine
Implementation of the Skein family of parameterised hash functions in 256, 512 and 1024 bit block
sizes, based on the |
| public class | SM3Digest
Implementation of Chinese SM3 digest as described at https://tools.ietf.org/html/draft-shen-sm3-hash-01 and at .... |
| public class | SparkleDigest
Sparkle v1.2, based on the current round 3 submission, https://sparkle-lwc.github.io/ Reference C implementation: https://github.com/cryptolu/sparkle Specification https://csrc.nist.gov/CSRC/media/Projects/lightweight-cryptography/documents/finalist-round/updated-spec-doc/sparkle-spec-final.pdf |
| public class | TigerDigest
implementation of Tiger based on: https://www.cs.technion.ac.il/~biham/Reports/Tiger |
| public class | TupleHash
TupleHash - a hash designed to simply hash a tuple of input strings, any or all of which may be empty strings, in an unambiguous way with an optional XOF mode. |
| pack-priv class | |
| public class | WhirlpoolDigest
Implementation of WhirlpoolDigest, based on Java source published by Barreto and Rijmen. |
| public class | |
| public class | XoodyakDigest
Xoodyak v1, https://csrc.nist.gov/CSRC/media/Projects/lightweight-cryptography/documents/finalist-round/updated-spec-doc/xoodyak-spec-final.pdf Xoodyak with reference to C Reference Impl from: https://github.com/XKCP/XKCP |